//PageWebview.vue
<template>
	<web-view v-if='src' :src='src' @message='message'></web-view>
</template>

<script>
	export default {
		data() {
			return {
				src: "",
			};
		},
		onLoad(options) {
			options.src = decodeURIComponent(options.src);
			setTimeout(() => {
				this.src = `${options.src}`;
			}, 500);
		},
		methods: {
			message(e) {
				console.log(message, 'webView----message')
			},
		},
	};
</script>

<style lang="scss" scoped>
</style>
